package com.persagy.server.labsl.services

import com.persagy.mybatis.SMybatisDao
import com.persagy.server.labsl.models.entities.Markers
import com.persagy.service.SObjectService
import java.util.*

/**
 * 文本注释，图上的图片说明
 *
 * @author wx
 */
object MarkersService : SObjectService<Markers>(SMybatisDao(Markers::class.java)) {

    override fun onCreateBefore(entity: Markers): Boolean {
        entity.id = UUID.randomUUID().toString().replace("-", "")
        return super.onCreateBefore(entity)
    } // Fun

} //